curl --request POST \
--url https://api.peachdeskai.com/api/v1/knowledge-base/process-document \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document_uuid": "<string>",
"s3_key": "<string>",
"retrieval_mode": "chunked",
"knowledge_base_id": 123
}
'import requests
url = "https://api.peachdeskai.com/api/v1/knowledge-base/process-document"
payload = {
"document_uuid": "<string>",
"s3_key": "<string>",
"retrieval_mode": "chunked",
"knowledge_base_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
document_uuid: '<string>',
s3_key: '<string>',
retrieval_mode: 'chunked',
knowledge_base_id: 123
})
};
fetch('https://api.peachdeskai.com/api/v1/knowledge-base/process-document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/knowledge-base/process-document",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'document_uuid' => '<string>',
's3_key' => '<string>',
'retrieval_mode' => 'chunked',
'knowledge_base_id' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/knowledge-base/process-document"
payload := strings.NewReader("{\n \"document_uuid\": \"<string>\",\n \"s3_key\": \"<string>\",\n \"retrieval_mode\": \"chunked\",\n \"knowledge_base_id\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/knowledge-base/process-document")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"document_uuid\": \"<string>\",\n \"s3_key\": \"<string>\",\n \"retrieval_mode\": \"chunked\",\n \"knowledge_base_id\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/knowledge-base/process-document")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"document_uuid\": \"<string>\",\n \"s3_key\": \"<string>\",\n \"retrieval_mode\": \"chunked\",\n \"knowledge_base_id\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"document_uuid": "<string>",
"filename": "<string>",
"file_size_bytes": 123,
"file_hash": "<string>",
"mime_type": "<string>",
"processing_status": "<string>",
"total_chunks": 123,
"custom_metadata": {},
"docling_metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"organization_id": 123,
"created_by": 123,
"is_active": true,
"processing_error": "<string>",
"retrieval_mode": "chunked",
"source_url": "<string>",
"source_type": "uploaded_file",
"knowledge_base_id": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Trigger document processing
Trigger asynchronous processing of an uploaded document.
This endpoint should be called after successfully uploading a file to the presigned URL. It will:
- Create a document record in the database with the specified UUID
- Enqueue a background task to process the document (chunking and embedding)
The document status will be updated from тАШpendingтАЩ -> тАШprocessingтАЩ -> тАШcompletedтАЩ or тАШfailedтАЩ.
Embedding: Uses OpenAI text-embedding-3-small (1536-dimensional embeddings, requires API key configured in Model Configurations).
Access Control:
- Users can only process documents in their organization.
curl --request POST \
--url https://api.peachdeskai.com/api/v1/knowledge-base/process-document \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document_uuid": "<string>",
"s3_key": "<string>",
"retrieval_mode": "chunked",
"knowledge_base_id": 123
}
'import requests
url = "https://api.peachdeskai.com/api/v1/knowledge-base/process-document"
payload = {
"document_uuid": "<string>",
"s3_key": "<string>",
"retrieval_mode": "chunked",
"knowledge_base_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
document_uuid: '<string>',
s3_key: '<string>',
retrieval_mode: 'chunked',
knowledge_base_id: 123
})
};
fetch('https://api.peachdeskai.com/api/v1/knowledge-base/process-document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/knowledge-base/process-document",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'document_uuid' => '<string>',
's3_key' => '<string>',
'retrieval_mode' => 'chunked',
'knowledge_base_id' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/knowledge-base/process-document"
payload := strings.NewReader("{\n \"document_uuid\": \"<string>\",\n \"s3_key\": \"<string>\",\n \"retrieval_mode\": \"chunked\",\n \"knowledge_base_id\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/knowledge-base/process-document")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"document_uuid\": \"<string>\",\n \"s3_key\": \"<string>\",\n \"retrieval_mode\": \"chunked\",\n \"knowledge_base_id\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/knowledge-base/process-document")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"document_uuid\": \"<string>\",\n \"s3_key\": \"<string>\",\n \"retrieval_mode\": \"chunked\",\n \"knowledge_base_id\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"document_uuid": "<string>",
"filename": "<string>",
"file_size_bytes": 123,
"file_hash": "<string>",
"mime_type": "<string>",
"processing_status": "<string>",
"total_chunks": 123,
"custom_metadata": {},
"docling_metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"organization_id": 123,
"created_by": 123,
"is_active": true,
"processing_error": "<string>",
"retrieval_mode": "chunked",
"source_url": "<string>",
"source_type": "uploaded_file",
"knowledge_base_id": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Body
Request schema for triggering document processing.
Document UUID to process
S3 key of the uploaded file
Retrieval mode: 'chunked' for vector search or 'full_document' for full text retrieval
Optional collection to add the document to
Response
Successful Response
Response schema for document metadata.

